{ pkgs, ... }:

{
  services.gpg-agent = {
    enable = true;
    enableZshIntegration = true;
    pinentryPackage = pkgs.pinentry-gnome3;
    enableSshSupport = true;
    sshKeys = [ "1F937AC8F77ED74CE24EAAE79B5601F73C6D115F" ];
  };

  programs.gpg = {
    enable = true;
    mutableKeys = true;
    mutableTrust = true;
    publicKeys = [{
      source = ./pubring.asc;
      trust = "ultimate";
    }];
  };
}
